Ace Image Hosting Script albums.php id Variable SQL Injection

2007-12-09T00:00:00
ID OSVDB:39115
Type osvdb
Reporter OSVDB
Modified 2007-12-09T00:00:00

Description

Vulnerability Description

Ace Image Hosting Script contains a flaw that may allow an attacker to carry out an SQL injection attack. The issue is due to the 'albums.php' script not properly sanitizing user-supplied input to the 'id' variable. This may allow an attacker to inject or manipulate SQL queries in the backend database.

Solution Description

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

Short Description

Ace Image Hosting Script albums.php id Variable SQL Injection

Manual Testing Notes

http://[target]/albums.php?mode=editalbum&id=-1//UNION//ALL//SELECT//1,concat(user,char(58),password),3//FROM//users//LIMIT//0,1/*

References:

Secunia Advisory ID:27988 ISS X-Force ID: 38941 Generic Exploit URL: http://www.milw0rm.com/exploits/4707 FrSIRT Advisory: ADV-2007-4176 CVE-2007-6393 Bugtraq ID: 26780